Bug 1256582 - AttributeError: 'MDContainerDevice' object has no attribute 'pvCount'
AttributeError: 'MDContainerDevice' object has no attribute 'pvCount'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:36b55c4bd867280f6f0486b42a6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 00:01 EDT by smaudet
Modified: 2015-12-02 15:56 EST (History)
6 users (show)

See Also:
Fixed In Version: anaconda-24.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 15:56:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (924.47 KB, text/plain)
2015-08-25 00:01 EDT, smaudet
no flags Details
File: anaconda.log (35.49 KB, text/plain)
2015-08-25 00:01 EDT, smaudet
no flags Details
File: environ (676 bytes, text/plain)
2015-08-25 00:01 EDT, smaudet
no flags Details
File: journalctl (347.66 KB, text/plain)
2015-08-25 00:01 EDT, smaudet
no flags Details
File: lsblk_output (3.42 KB, text/plain)
2015-08-25 00:01 EDT, smaudet
no flags Details
File: nmcli_dev_list (1.26 KB, text/plain)
2015-08-25 00:01 EDT, smaudet
no flags Details
File: os_info (447 bytes, text/plain)
2015-08-25 00:01 EDT, smaudet
no flags Details
File: program.log (115.36 KB, text/plain)
2015-08-25 00:01 EDT, smaudet
no flags Details
File: storage.log (330.13 KB, text/plain)
2015-08-25 00:01 EDT, smaudet
no flags Details
File: ifcfg.log (4.79 KB, text/plain)
2015-08-25 00:01 EDT, smaudet
no flags Details

  None (edit)
Description smaudet 2015-08-25 00:01:36 EDT
Description of problem:
tried looking at 'other' partitions

Version-Release number of selected component:
anaconda-core-22.20.13-1.fc22.x86_64

The following was filed automatically by anaconda:
anaconda 22.20.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2236, in on_selector_clicked
    total = selector.device.pvCount
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1890, in _show_mountpoint
    self.on_selector_clicked(page.members[0])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2284, in on_page_clicked
    self._show_mountpoint(page=page, mountpoint=mountpointToShow)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 146, in _onExpanded
    cb(obj.get_child())
AttributeError: 'MDContainerDevice' object has no attribute 'pvCount'

Additional info:
cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/syslinux/vmlinuz0 root=live:LABEL=LIVE ro rd.live.image quiet rhgb
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.1.5-200.fc22.x86_64
other involved packages: anaconda-gui-22.20.13-1.fc22.x86_64
product:        Fedora
release:        Fedora release 22 (Twenty Two)
type:           anaconda
version:        22
Comment 1 smaudet 2015-08-25 00:01:40 EDT
Created attachment 1066716 [details]
File: anaconda-tb
Comment 2 smaudet 2015-08-25 00:01:41 EDT
Created attachment 1066717 [details]
File: anaconda.log
Comment 3 smaudet 2015-08-25 00:01:42 EDT
Created attachment 1066718 [details]
File: environ
Comment 4 smaudet 2015-08-25 00:01:44 EDT
Created attachment 1066719 [details]
File: journalctl
Comment 5 smaudet 2015-08-25 00:01:45 EDT
Created attachment 1066720 [details]
File: lsblk_output
Comment 6 smaudet 2015-08-25 00:01:45 EDT
Created attachment 1066721 [details]
File: nmcli_dev_list
Comment 7 smaudet 2015-08-25 00:01:46 EDT
Created attachment 1066722 [details]
File: os_info
Comment 8 smaudet 2015-08-25 00:01:47 EDT
Created attachment 1066723 [details]
File: program.log
Comment 9 smaudet 2015-08-25 00:01:49 EDT
Created attachment 1066724 [details]
File: storage.log
Comment 10 smaudet 2015-08-25 00:01:50 EDT
Created attachment 1066725 [details]
File: ifcfg.log
Comment 11 Bruno Martins 2015-10-12 20:33:15 EDT
Another user experienced a similar problem:

Just trying to do custom partitioning.

cmdline:        /usr/bin/python2  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/ubnkern initrd=/ubninit root=live:UUID=7D69-34F1 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0
hashmarkername: anaconda
kernel:         4.0.4-301.fc22.x86_64
other involved packages: anaconda-gui-22.20.13-1.fc22.x86_64
package:        anaconda-core-22.20.13-1.fc22.x86_64
packaging.log:  
product:        Fedora
reason:         AttributeError: 'MDContainerDevice' object has no attribute 'pvCount'
release:        Fedora release 22 (Twenty Two)
version:        22

Note You need to log in before you can comment on or make changes to this bug.